# The values below are for a copy of MOAB used directly
# from its build directory. These values will be overridden below
# for installed copies of MOAB.

# Feature list
MOAB_MPI_ENABLED = ON
MOAB_FORTRAN_ENABLED = ON
MOAB_HDF5_ENABLED = OFF
MOAB_NETCDF_ENABLED = OFF
MOAB_PNETCDF_ENABLED = OFF
MOAB_IGEOM_ENABLED = OFF
MOAB_IMESH_ENABLED = ON
MOAB_IREL_ENABLED = OFF
MOAB_FBIGEOM_ENABLED = OFF
MOAB_MESQUITE_ENABLED = OFF

# Library and Include paths
MOAB_LIBDIR = /wrkdirs/usr/ports/math/moab/work/.build/src/.libs
MOAB_INCLUDES = -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src \
                -I/wrkdirs/usr/ports/math/moab/work/.build/src \
                -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/oldinc \
                -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/verdict \
                -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/parallel \
                -I/wrkdirs/usr/ports/math/moab/work/.build/src/parallel \
                -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/LocalDiscretization \
                -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/RefineMesh

ifeq ($(MOAB_IGEOM_ENABLED),yes)
include 
MOAB_INCLUDES += $(IGEOM_INCLUDES)
endif

ifeq ($(MOAB_MESQUITE_ENABLED),yes)
MSQ_LIBDIR = /wrkdirs/usr/ports/math/moab/work/.build/src/mesquite/.libs
MSQ_LIBS = -L/wrkdirs/usr/ports/math/moab/work/.build/src/mesquite/.libs -lmbmesquite
MSQ_INCLUDES = -I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/include \
	-I/wrkdirs/usr/ports/math/moab/work/.build/src/mesquite/include \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/Mesh \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/Control \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/Wrappers \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/MappingFunction \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/MappingFunction/Lagrange \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/MappingFunction/Linear \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/Misc \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/ObjectiveFunction \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityAssessor \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityImprover \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityImprover/OptSolvers \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityImprover/Relaxation \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric/Debug \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric/Shape \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric/Smoothness \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric/TMP \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric/Untangle \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/QualityMetric/Volume \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetCalculator \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/Misc \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/Shape \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/ShapeOrient \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/ShapeSize \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/ShapeSizeOrient \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/Size \
	-I/wrkdirs/usr/ports/math/moab/work/fathomteam-moab-65880ffe833d/src/mesquite/TargetMetric/Untangle

MOAB_INCLUDES += ${MSQ_INCLUDES}
endif

MOAB_INCLUDES += 

MOAB_CPPFLAGS = -O2 -pipe -fstack-protector-strong -fno-strict-aliasing -pedantic -fpic -Wall -Wno-long-long -Wextra -Wno-cast-align -Wsign-compare -Wpointer-arith -Wformat -Wformat-security -Wunused-parameter -fstack-protector-all -mtune=native -fpermissive -Wno-ignored-attributes -Wno-variadic-macros -Wno-deprecated-declarations -Wno-unused-local-typedefs -funroll-loops -fstrict-aliasing -Wno-unused -I/usr/local/include/eigen3 -DUSE_MPI 
MOAB_CXXFLAGS = -O2 -pipe -fstack-protector-strong -fno-strict-aliasing   -DNDEBUG 
MOAB_CFLAGS = -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -DNDEBUG 
MOAB_FFLAGS = -funroll-all-loops -fno-f2c -O2
MOAB_FCFLAGS = 
MOAB_LDFLAGS =   

# missing support for DAMSEL, CCMIO
# PROBABLY FORMATTED INCORRECTLY
MOAB_EXT_LIBS =     \
                    \
                  /usr/local/lib/libopenblas.so /usr/local/lib/libopenblas.so  
MOAB_LIBS_LINK = ${MOAB_LDFLAGS} -L${MOAB_LIBDIR} -lMOAB ${MSQ_LIBS} $(MOAB_EXT_LIBS) 
DAGMC_LIBS_LINK = ${MOAB_LDFLAGS} -L${MOAB_LIBDIR}  -lMOAB ${MSQ_LIBS} $(MOAB_EXT_LIBS)

MOAB_CXX = /usr/local/mpi/openmpi/bin/mpic++
MOAB_CC  = /usr/local/mpi/openmpi/bin/mpicc
MOAB_FC  = /usr/local/bin/gfortran12
MOAB_F77  = /usr/local/bin/gfortran12

# Override MOAB_LIBDIR and MOAB_INCLUDES from above with the correct
# values for the installed MOAB.

# NEED TO ADD SOMETHING TO MODIFY THIS FILE AT INSTALL TIME (OR FIX ISSUE #30)
MOAB_LIBDIR=/usr/local/lib
MOAB_INCLUDES=-I/usr/local/include
